You are not logged in.

#1301 2010-02-17 15:53:36

handy
Member
From: Oz
Registered: 2008-03-26
Posts: 719

Re: The AMD/ATI Bar & Grill

I've got my eye's on this one... smile


I used to be surprised that I was still surprised by my own stupidity, finding it strangely refreshing.
Well, now I don't find it refreshing.
I'm over it!

Offline

#1302 2010-02-17 16:07:40

timong
Member
From: Budapest, HU
Registered: 2007-02-20
Posts: 91
Website

Re: The AMD/ATI Bar & Grill

haha, too early to be happy... wink

Comment by: Zenfarg  on Wed, 17 Feb 2010 15:55:39 +0000

    Damn sorry! because of being newbie i thought that Xorg 7.4 = xorg-server 1.7.4 T_T Just sorry...

Well, at least i had some hours of expectation. big_smile Still...hope dies last...we'll see when it's out. smile


2x arch amd64, one with Intel GP GMA965, one with ATi Mobility HD 5650

Offline

#1303 2010-02-17 17:07:58

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

link is working www2.ati.com/drivers/linux/ati-driver-installer-10-2-x86.x86_64.run
downloading -> building -> testing -> then putting to AUR...

http://www2.ati.com/drivers/linux/catal … _linux.pdf is still dead... so i will wait with testing until this file came up, cuz for now i dont know do i must rollback with my 1.7 server or not...

* lots of changes in files with 10.2
* libfglrx_tvout libs are missing
* no 2.6.33 kernel support wink - why should be? 2.6.33 is still rc. But patch seems to work (2.6.33-rc8-git1)

heh... still waiting for pdf tongue

Last edited by Vi0L0 (2010-02-17 17:38:00)

Offline

#1304 2010-02-17 17:49:21

agapito
Member
From: Spain
Registered: 2008-11-13
Posts: 498

Re: The AMD/ATI Bar & Grill

NO xserver 1.7 Support SUCKS

I installed on 1.6 xserver and i can start X but kde4 doesn´t start.

Last edited by agapito (2010-02-17 17:57:23)


Excuse my poor English.

Offline

#1305 2010-02-17 19:16:01

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

agapito wrote:

NO xserver 1.7 Support SUCKS

I installed on 1.6 xserver and i can start X but kde4 doesn´t start.

kde4 isn't starting if kwin is enabled - at least for me... sad  ofc i also cannot enable kwin without havin black screen
It's looking pretty bad - i won't upload PKGBUILD until situation gets clear.
Looks like others also have problems with compiz:
http://www.phoronix.com/forums/showthread.php?t=22052

Offline

#1306 2010-02-17 20:14:12

agapito
Member
From: Spain
Registered: 2008-11-13
Posts: 498

Re: The AMD/ATI Bar & Grill

I installed openbox,run systemsettings from a terminal and disabled composite and now kwin works. Maybe configuring xorg.conf we can have composite back again. BTW i saw UDV2 is active, maybe they added support for new hd 5xxx cards.

Last edited by agapito (2010-02-17 20:14:46)


Excuse my poor English.

Offline

#1307 2010-02-17 20:22:58

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

agapito wrote:

Maybe configuring xorg.conf we can have composite back again.

i have already tested it by clearing xorg.conf and initializing aticonfig... No change

agapito wrote:

BTW i saw UDV2 is active, maybe they added support for new hd 5xxx cards.

Well they should bring support at least for 5xxx cards supported by latest beta driver

Offline

#1308 2010-02-17 20:35:05

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

Everything except kwin seems to work nice - for example sauerbraten cube 2 feels nice and fast as speed of light on highest settings with shaders.
My logs are also clear of any errors - dri, dri2, glx, aiglx all should work...
I thought that meybe it is caused by our PKGBUILD - but there's no new files in 10.2 (and now i'm sure about that wink)... Also when i asked Kano did he made any changes for hes Debian build he said:

Kano wrote:

I did not notice any required package fixes in my script, the packages build. I updated my script with the 2 additional pci ids before my first post in this thread already. xvba has wrong colors as usual, did not test much more. crap as usual wink

For now i don't know what's going on... but i will look closer at this.

I think i will upload 10.2 as catalyst-test so maybe you can test it and tell that your composite is dead or alive... Just a sec
Edit: here it is http://aur.archlinux.org/packages.php?ID=34773

Last edited by Vi0L0 (2010-02-17 21:12:46)

Offline

#1309 2010-02-17 22:18:03

timong
Member
From: Budapest, HU
Registered: 2007-02-20
Posts: 91
Website

Re: The AMD/ATI Bar & Grill

quick test here:

composite is okayish. some vsync issues are less noticable - still there.
there should be a new 2d acceleration method in it.

opengl is fine. Upgrading lib32-catalyst-utils too here, but aside nwn1 and eschalon book 1 - Quake 4 is broken! it doesnt want to start. (With 10.1 it worked. Might be SDL related??)

Tested udv2. It is still garbled on my 5xxx. (latest xvba-video and mplayer-vaapi-pulseaudio)

I reverted to 10.1. Will get back to 10.2 probably only to test the new 2d acceleration - but it's told to be slow on phoronix forums...

Last edited by timong (2010-02-17 22:18:48)


2x arch amd64, one with Intel GP GMA965, one with ATi Mobility HD 5650

Offline

#1310 2010-02-17 22:46:25

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

timong wrote:

quick test here:

composite is okayish.

Woow! Thanks for that - so our package isn't broken - it's catalyst fault!!! mad
Uff... i thought that composite is broken for every arch user... thanks for that news - you save my time... cool

timong wrote:

Quake 4 is broken! it doesnt want to start. (With 10.1 it worked. Might be SDL related??)

People on phoronix also complain for that.

timong wrote:

I reverted to 10.1.

And i will go back to open source driver - with new version games sux even more than before tongue but video is smooth and tear-free (even flash) cool + kwin is working tongue

Offline

#1311 2010-02-17 23:04:29

timong
Member
From: Budapest, HU
Registered: 2007-02-20
Posts: 91
Website

Re: The AMD/ATI Bar & Grill

http://aur.archlinux.org/packages.php?ID=24824

i've commented a new PKGBUILD there, lib32 needs now this libatiuki.so! Added and now Quake4 and 32 bit games work again. smile

I will stick with this driver on a second thought. I will try the new 2d accel method, direct2d thingy. And test composite further. Especially because it seems there are changes in vsync part - nwn1 and eschalon seems to run better without the 'su - login' trick.

EDIT:

i was too quick to judge. Vsync issues fully present with Compiz. (su - login still helps to prevent vsyncing!)

Final conclusion:
No real difference except the new 2d acceleration which i still have to try.

Last edited by timong (2010-02-17 23:16:50)


2x arch amd64, one with Intel GP GMA965, one with ATi Mobility HD 5650

Offline

#1312 2010-02-17 23:11:32

timong
Member
From: Budapest, HU
Registered: 2007-02-20
Posts: 91
Website

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
timong wrote:

quick test here:

composite is okayish.

Woow! Thanks for that - so our package isn't broken - it's catalyst fault!!! mad
Uff... i thought that composite is broken for every arch user... thanks for that news - you save my time... cool

I guess so! im using compiz and gnome so that might be the trick. the back-fill patch is not installed btw.

Last edited by timong (2010-02-17 23:12:00)


2x arch amd64, one with Intel GP GMA965, one with ATi Mobility HD 5650

Offline

#1313 2010-02-17 23:21:18

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

timong wrote:

http://aur.archlinux.org/packages.php?ID=24824

i've commented a new PKGBUILD there, lib32 needs now this libatiuki.so! Added and now Quake4 and 32 bit games work again. smile

Nice job cool
I have decided to link libatiuki so it may look more clearly. It's possible that it's my fault that this q4 wasn't working for you... Sorry then roll
Good you have figured it out.

timong wrote:

im using compiz and gnome so that might be the trick.

So maybe it's kde related...
Edit: But i guess it's not since there are people on phoronix which succesfully ran kwin with catalyst 10.2

Last edited by Vi0L0 (2010-02-17 23:37:15)

Offline

#1314 2010-02-17 23:24:52

mum1989
Member
From: france
Registered: 2009-09-19
Posts: 49

Re: The AMD/ATI Bar & Grill

how to install and go back to xorg-server 1.6 ? (because xorg-server 1.7 don't work on this shit driver)

i've got a ATI HD 4870 (i'm on archlinux x64)

Offline

#1315 2010-02-17 23:26:28

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,336
Website

Re: The AMD/ATI Bar & Grill

mum1989 wrote:

how to install and go back to xorg-server 1.6 ? (because xorg-server 1.7 don't work on this shit driver)

i've got a ATI HD 4870 (i'm on archlinux x64)

http://bbs.archlinux.org/viewtopic.php? … 46#p705346

Offline

#1316 2010-02-17 23:32:27

mum1989
Member
From: france
Registered: 2009-09-19
Posts: 49

Re: The AMD/ATI Bar & Grill

thanks

Offline

#1317 2010-02-17 23:59:27

timong
Member
From: Budapest, HU
Registered: 2007-02-20
Posts: 91
Website

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

So maybe it's kde related...
Edit: But i guess it's not since there are people on phoronix which succesfully ran kwin with catalyst 10.2

When in fusion icon i choose compiz under Gnome it's okay to a certain degree. But choosing kwin means all window disappears. Some opengl extension must be broken... Also starting kde from gdm = stops at startup screen of kde. going to VT and killall Xorg -9 helps tho. big_smile just to reload gdm and use gnome ...


2x arch amd64, one with Intel GP GMA965, one with ATi Mobility HD 5650

Offline

#1318 2010-02-18 00:02:34

timong
Member
From: Budapest, HU
Registered: 2007-02-20
Posts: 91
Website

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

I have decided to link libatiuki so it may look more clearly. It's possible that it's my fault that this q4 wasn't working for you... Sorry then roll
Good you have figured it out.

no, it's 32 bits, so the lib32-catalyst-utils needs to copy and link it like the other 32 bit libs. Till 10.2, the driver wasnt linked so strongly to it, so 32bit games worked with 10.1 and without the libatiuki 32 bit version. So it's up to lib32-cat.-utils' author to update the package tho' it's certainly too early to let the 10.2 replace the 'stable' AUR packages.. sad I guess we will need to wait for 10.3...or find out how to run kwin with composite.

Last edited by timong (2010-02-18 00:04:01)


2x arch amd64, one with Intel GP GMA965, one with ATi Mobility HD 5650

Offline

#1319 2010-02-18 02:45:54

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: The AMD/ATI Bar & Grill

<irony> And Catalyst is very "usable" again </irony>

Offline

#1320 2010-02-18 03:58:52

WyoPBS
Member
From: Cheyenne, WY
Registered: 2007-10-05
Posts: 101
Website

Re: The AMD/ATI Bar & Grill

I'm glad I read this thread before trying to go down that road myself with my onboard HD 8400.  Forget it, I'll just blow fifty bucks on a GeForce PCIe card!


Peter B. Steiger
Cheyenne, WY

Offline

#1321 2010-02-18 04:47:53

hunterthomson
Member
Registered: 2008-06-22
Posts: 794
Website

Re: The AMD/ATI Bar & Grill

Just want to correct myself.
It was not the proprietary nvidia driver that was causing the terrible Flash video preference. It was a CPU problem that I now have fixed.... If interested or if you have a i7 CPU, see last post here...
http://bbs.archlinux.org/viewtopic.php?id=90031

Last edited by hunterthomson (2010-02-18 04:48:46)


OpenBSD-current Thinkpad X230, i7-3520M, 16GB CL9 Kingston, Samsung 830 256GB
Contributor: linux-grsec

Offline

#1322 2010-02-18 04:53:22

Vipes
Member
From: Okinawa, Japan
Registered: 2008-06-06
Posts: 14

Re: The AMD/ATI Bar & Grill

I've been out of the loop for awhile after being in Afghanistan. I guess it's better to stick with a Catalyst 9.11 driver and Xorg 1.6? Obviously Catalyst 9.11-2 requires a kernel of <2.6.32 so stay I'll be staying with 2.6.31-ARCH. So much for a full system upgrade. ATI needs to get into shape. I don't have these issues with my nVidia cards.


Main Box: AMD Athlon 64 X2 Dual Core 6400+ @ 3.2Ghz, 4GB Kingston HyperX DDR2 PC6400 @ 4-4-4-12, eVGA NVidia 8800GTX w/ 768MB DDR3, Arch64 and Windows 7 64-bit on Dual boot
Laptops: Sony VPCF1 Arch64/Win7, Dell Inspiron E1705 Arch32.

Offline

#1323 2010-02-18 09:00:52

timong
Member
From: Budapest, HU
Registered: 2007-02-20
Posts: 91
Website

Re: The AMD/ATI Bar & Grill

flamelab wrote:

<irony> And Catalyst is very "usable" again </irony>

lol You get used to it very soon...At least they're trying?

Sidenote, i still couldnt test this new Direct2DAccel thing. I have to look for a valid xorg.conf + /etc/ati/ config files... anyone with working Direct2DAccel here? Please share xorg.conf and /etc/ati/ config file. Thanks!


2x arch amd64, one with Intel GP GMA965, one with ATi Mobility HD 5650

Offline

#1324 2010-02-18 12:09:55

agapito
Member
From: Spain
Registered: 2008-11-13
Posts: 498

Re: The AMD/ATI Bar & Grill

I had direct2daccel and i had a lot of visual glitches, is still in alpha stage.

I did rm - fr /etc/ati  and rm /etc/X11/xorg.conf, reinstalled catalyst again and rebooted and still have direct2d ! I guess  direct2d stores config file in another path.

Finally i did  aticonfig --del-pcs-key=DDX,Direct2DAccel and return to old mode. Except composite this drivers are working fine and stable.


Excuse my poor English.

Offline

#1325 2010-02-18 12:31:59

timong
Member
From: Budapest, HU
Registered: 2007-02-20
Posts: 91
Website

Re: The AMD/ATI Bar & Grill

agapito wrote:

I had direct2daccel and i had a lot of visual glitches, is still in alpha stage.

I did rm - fr /etc/ati  and rm /etc/X11/xorg.conf, reinstalled catalyst again and rebooted and still have direct2d ! I guess  direct2d stores config file in another path.

Finally i did  aticonfig --del-pcs-key=DDX,Direct2DAccel and return to old mode. Except composite this drivers are working fine and stable.

Still, can you share such an /etc/ati and xorg.conf where you have it on?

my 5xxx card is not working with aticonfig, it exits before doing anything telling No Supported card found,


2x arch amd64, one with Intel GP GMA965, one with ATi Mobility HD 5650

Offline

Board footer

Powered by FluxBB